echo off
cls
if %1x == x goto nodrive
if exist %1\st2 goto norep
echo Making a st2 directory on drive %1
mkdir %1\st2
echo Copying syntech2.exe
copy syntech2.exe %1\st2 /v
echo Copying st2.chl
copy st2.chl %1\st2 /v
echo Copying st2.hlp
copy st2.hlp %1\st2 /v
echo Copying st2.cfg
copy st2.cfg %1\st2 /v
echo Copying st2.clr
copy st2.clr %1\st2 /v
echo Copying v111-v30.exe
copy v111-v30.exe %1\st2 /v
echo Done with installation.
goto end
:norep
echo A st2 directory already exists on specified drive.
goto end
:nodrive
echo No destination drive was specified.
:end
